net.sf.jasperreports.components.map

## Class StandardItem

- java.lang.Object
- - net.sf.jasperreports.components.map.StandardItem

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Item, JRChangeEventsSupport, JRCloneable

      public class StandardItem
      extends java.lang.Object
      implements Item, JRChangeEventsSupport, java.io.Serializable

  Version:
    $Id: StandardItem.java 6002 2013-03-20 08:15:32Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_ITEM_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardItem()`
    `StandardItem(java.util.List<ItemProperty> properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItemProperty(ItemProperty property)`
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.util.List<ItemProperty>` | `getProperties()` Returns a list of `ItemProperty` objects.
    `void` | `removeItemProperty(ItemProperty property)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_ITEM_PROPERTIES

          public static final java.lang.String PROPERTY_ITEM_PROPERTIES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardItem

          public StandardItem()

    - #### StandardItem

          public StandardItem(java.util.List<ItemProperty> properties)

  - ### Method Detail

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getProperties

          public java.util.List<ItemProperty> getProperties()

      Description copied from interface: `Item`
      Returns a list of `ItemProperty` objects. Each item property provides a name-value pair.
      Specified by:
        `getProperties` in interface `Item`
      Returns:
        a list of item properties
      See Also:
        `ItemProperty`

    - #### addItemProperty

          public void addItemProperty(ItemProperty property)

    - #### removeItemProperty

          public void removeItemProperty(ItemProperty property)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com